{
	"pages": [
		{
			"path": "pages/views/home/home", //首页
			"style": {
				"navigationBarTitleText": "实验室安全智慧化管控系统",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
				// "navigationStyle": "custom"
			}
		},
		{
			"path": "pages/views/teacherPage/laboratoryList", //实验室列表
			"style": {
				"navigationBarTitleText": "实验室安全智慧化管控系统",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/information/information", //消息
			"style": {
				"navigationBarTitleText": "消息"
			}
		},
		{
			"path": "pages/views/information/informationInfo", //消息
			"style": {
				"navigationBarTitleText": "消息详情"
			}
		},
		{
			"path": "pages/views/mine/mine", //我的
			"style": {
				"navigationBarTitleText": "我的",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/login/login", //登录
			"style": {
				"navigationBarTitleText": "",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationStyle": "custom" //关闭原生导航
			}
		},
		// {
		// 	"path": "pages/views/login/accountLogin", //账号密码登录
		// 	"style": {
		// 		"navigationBarTitleText": "账号密码登录",
		// 		"navigationBarTextStyle": "white", //导航文字颜色
		// 		"navigationBarBackgroundColor": "#0183FA" //导航背景色
		// 	}
		// },
		{
			"path": "pages/views/login/ssoLogin", //统一认证页面
			"style": {
				"navigationBarTitleText": "统一身份认证",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/login/ssoLoginH5", //统一认证页面
			"style": {
				"navigationBarTitleText": "统一身份认证",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/login/ssoCertification", //统一认证后跳转登录页面
			"style": {
				"navigationBarTitleText": "身份认证",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/scanCodePage", //扫码页面
			"style": {
				"navigationBarTitleText": "",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationStyle": "custom" //关闭原生导航
			}
		},
		{
			"path": "pages/views/saoCode/saoCode", //扫码中转
			"style": {
				"navigationBarTitleText": "",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/saoCode/chemicalsInstructionsVideo", //操作教程
			"style": {
				"navigationBarTitleText": "操作教程",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/pages_patrolInspector/courseQRcode",
			"style": {
				"navigationBarTitleText": "课程详情",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/pages_patrolInspector/chemicalCabinetQRcode",
			"style": {
				"navigationBarTitleText": "化学品柜详情",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/pages_patrolInspector/chemicalDetail",
			"style": {
				"navigationBarTitleText": "化学品详情",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/demo/index", //测试页面
			"style": {
				"navigationBarTitleText": "测试页面",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/demo/mqttDemo", //mqtt测试
			"style": {
				"navigationBarTitleText": "mqtt测试",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationBarBackgroundColor": "#0183FA" //导航背景色
			}
		},
		{
			"path": "pages/views/videoPlayer", //视频监控测试
			"style": {
				"navigationBarTitleText": "",
				"navigationBarTextStyle": "white", //导航文字颜色
				"navigationStyle": "custom" //关闭原生导航
			}
		}
	],
	"subPackages": [
		// {
  //     "root": "devTools/page",
  //     "name": "devToolsPage",
  //     "pages": [
  //       {
  //         "path": "index",
  //         "style": {
  //           "navigationStyle": "custom"
  //           // #ifdef APP-PLUS
  //           ,
  //           "softinputMode": "adjustResize",
  //           "backgroundColor": "transparent",
  //           "animationDuration": 1,
  //           "animationType": "none",
  //           "popGesture": "none",
  //           "bounce": "none",
  //           "titleNView": false
  //           // #endif
  //         }
  //       }
  //     ]
  //   },
		{
			/* 基础分包 */
			"root": "pages_basics", //分包根路径
			"name": "basics", //分包名字可写可不写
			"pages": [{
					"path": "views/forgotPassword/forgotPassword", //忘记密码
					"style": {
						"navigationBarTitleText": "忘记密码",
						"navigationBarTextStyle": "white", //导航文字颜色
						"navigationBarBackgroundColor": "#0183FA" //导航背景色
					}
				},
				{
					"path": "views/editPassword/editPassword", //忘记密码
					"style": {
						"navigationBarTitleText": "修改密码",
						"navigationBarTextStyle": "white", //导航文字颜色
						"navigationBarBackgroundColor": "#0183FA" //导航背景色
					}
				},
				{
					"path": "views/completeInformation/completeInformation", //忘记密码
					"style": {
						"navigationBarTitleText": "完善个人信息",
						"navigationBarTextStyle": "white", //导航文字颜色
						"navigationBarBackgroundColor": "#0183FA" //导航背景色
					}
				},
				/* 修改头像 */
				{
					"path": "views/avatar",
					"style": {
						"navigationBarTitleText": "身份验证"
					}
				},
				{
					"path": "views/faceImage", //身份验证
					"style": {
						"navigationBarTitleText": "身份验证"
					}
				},
				{
					"path": "views/signature/signature",
					"style": {
						"navigationBarTitleText": "电子签名"
					}
				},
				{
					"path": "views/signature/signatureImg",
					"style": {
						"navigationBarTitleText": "电子签名"
					}
				},
				/* 离开检查 */
				{
					"path": "views/photoInspection",
					"style": {
						"navigationBarTitleText": "离开检查"
					}
				},
				/* 预警信息 */
				{
					"path": "views/earlyWarningManage/earlyWarningDetail",
					"style": {
						"navigationBarTitleText": "预案预警信息"
					}
				},
				{
					"path": "views/earlyWarningManage/earlyWarningList",
					"style": {
						"navigationBarTitleText": "预警记录"
					}
				},
				{
					"path": "views/earlyWarningManage/videoMonitoring",
					"style": {
						"navigationBarTitleText": "监控信息"
					}
				},
				{
					"path": "views/earlyWarningManage/warningVideo",
					"style": {
						"navigationBarTitleText": "报警抓拍"
					}
				},
				/* 进出记录 */
				{
					"path": "views/record/index",
					"style": {
						"navigationBarTitleText": "进出记录"
					}
				},
				{
					"path": "views/record/infoPage",
					"style": {
						"navigationBarTitleText": "进出详情"
					}
				},
				/* 分级管控 */ 
				{
					"path": "views/gradingControl/gradingControl", //分级管控
					"style": {
						"navigationBarTitleText": "管控工作"
					}
				},
				{
					"path": "views/gradingControl/gradingControlFinish", //分级管控-完成列表
					"style": {
						"navigationBarTitleText": "分级管控"
					}
				},
				{
					"path": "views/gradingControl/gradingControlAdd", //分级管控-添加
					"style": {
						"navigationBarTitleText": "分级管控"
					}
				},
				{
					"path": "views/gradingControl/gradingControlDetail", //分级管控-详情
					"style": {
						"navigationBarTitleText": "分级管控"
					}
				}
			]
		},
		{
			/* 学生端分包 */
			"root": "pages_student", //分包根路径
			"name": "student", //分包名字可写可不写
			"pages": [
				/*准入申请*/
				{
					"path": "views/accessApplication/accessApplication", //准入申请
					"style": {
						"navigationBarTitleText": "安全准入"
					}
				},
				{
					"path": "views/accessApplication/applicationDetails", //申请详情
					"style": {
						"navigationBarTitleText": ""
					}
				},
				{
					"path": "views/accessApplication/chooseALaboratory", //选择实验室
					"style": {
						"navigationBarTitleText": "安全准入"
					}
				},
				{
					"path": "views/accessApplication/newApplication", //选择实验室
					"style": {
						"navigationBarTitleText": "准入申请"
					}
				},
				{
					"path": "views/accessApplication/safeAccess", //安全准入
					"style": {
						"navigationBarTitleText": "我的准入"
					}
				},
				// 我的进出记录
				{
					"path": "views/myRecord/index",
					"style": {
						"navigationBarTitleText": "进出记录"
					}
				},
				{
					"path": "views/myRecord/infoPage",
					"style": {
						"navigationBarTitleText": "进出详情"
					}
				}
			]
		},
		{
			/* 管理端分包 */
			"root": "pages_manage", //分包根路径
			"name": "manage", //分包名字可写可不写
			"pages": [
				//门禁授权
				{
					"path": "views/accessControl/empowerOpen",
					"style": {
						"navigationBarTitleText": "授权开门"
					}
				},
				{
					"path": "views/accessControl/remoteOpen",
					"style": {
						"navigationBarTitleText": "远程开门"
					}
				},
				{
					"path": "views/accessControl/authorizationRecord",
					"style": {
						"navigationBarTitleText": "授权记录"
					}
				},
				{
					"path": "views/accessControl/searchSub",
					"style": {
						"navigationBarTitleText": "实验室"
					}
				},
				/* 准入审核 */
				{
					"path": "views/accessQualification/accessQualification",
					"style": {
						"navigationBarTitleText": "准入审核"
					}
				},
				{
					"path": "views/accessQualification/accessQualificationInfo", //准入资格证书申请详情
					"style": {
						"navigationBarTitleText": ""
					}
				},
				{
					"path": "views/accessQualification/approve", //不通过原因
					"style": {
						"navigationBarTitleText": "审核未通过"
					}
				},
				//应急处置-实验室列表
				{
					"path": "views/emergencyEvacuationSubList", //应急疏散
					"style": {
						"navigationBarTitleText": "应急处置"
					}
				},
				//应急处置
				{
					"path": "views/emergencyEvacuationBig", //应急疏散
					"style": {
						"navigationBarTitleText": "应急处置"
					}
				},
				{
					"path": "views/emergencyEvacuationBigFullScreen", //应急疏散
					"style": {
						"navigationBarTitleText": "应急处置",
						"pageOrientation": "landscape"
					}
				},
				//实验室
				{
					"path": "views/laboratory/safetyCardScan",
					"style": {
						"navigationBarTitleText": "实验室"
					}
				},
				{
					"path": "views/laboratory/videoPlayer", //视频监控
					"style": {
						"navigationBarTitleText": "视频监控",
						"enablePullDownRefresh": true
					}
				}
			]
		},
		{
			/* 安全检查分包 */
			"root": "pages_safetyCheck", //分包根路径
			"name": "safetyCheck", //分包名字可写可不写
			"pages": [
				{
					"path": "views/demo/index",
					"style": {
						"navigationBarTitleText": "安全检查分包",
						"navigationBarTextStyle": "white", //导航文字颜色
						"navigationBarBackgroundColor": "#0183FA" //导航背景色
					}
				}
			]
		}
	],
	"globalStyle": {
		"navigationBarTextStyle": "white", //导航文字颜色
		"navigationBarBackgroundColor": "#0183FA" //导航背景色
	}
}